<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:hyphenate="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:animateLayoutChanges="true"
    android:background="#f2f0eb">
    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        >
        <FrameLayout

            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#ffffff"
             >
            <ImageView
                android:id="@+id/iv_temp"
                android:adjustViewBounds="true"
                android:scaleType="fitXY"
                android:layout_centerInParent="true"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/live_bg_welcome"/>

          <!--   <com.lianxin.panqq.ulive.UVideoView
                android:background="@drawable/live_bg_welcome"
                android:id="@+id/videoview"
                android:layout_centerInParent="true"
                android:layout_width="match_parent"
                android:layout_height="match_parent"

                 /> -->
            <SurfaceView
                android:id="@+id/videoview"
                android:layout_width="match_parent"   
                android:layout_height="match_parent" 
                 android:visibility="invisible"/>


        </FrameLayout>
        <ListView
            android:padding="10dp"
            android:layout_above="@+id/input_view"
         android:layout_gravity="bottom" 
       android:id="@+id/list_view"
            android:layout_width="match_parent"
            android:layout_height="240dp"
            android:cacheColorHint="#00000000"
            android:divider="@null"

            android:background="#000000"
            android:dividerHeight="5dp"
            android:listSelector="#00000000"
            android:scrollbarStyle="outsideOverlay"
            android:transcriptMode="normal" />         
        <!--弹幕-->
    <!--  RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"

        android:layout_gravity="bottom"        
              -->
          
    <RelativeLayout
        android:id="@+id/input_view"
        android:layout_width="match_parent"
        android:layout_height="64dp"  
         android:layout_gravity="bottom"             
               >
        <Button
            android:id="@+id/btn_send"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="10dp"
            android:background="#000"
            android:padding="8dp"
            android:text="发送"
            android:textColor="#fff"
            android:textSize="16sp" />

        <EditText
            android:id="@+id/et_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerVertical="true"
            android:layout_margin="10dp"
            android:layout_toLeftOf="@id/btn_send"
            android:background="#f0f0f0"
            android:hint="请输入内容"
            android:paddingLeft="10dp"
            android:textSize="14sp" />

    </RelativeLayout>

 
    <!--控制层-->
    <FrameLayout
        android:id="@+id/fl_loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"

        >
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#73000000"
           >
            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
              >
                <ImageView
                    android:id="@+id/im_logo"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentTop="true"
                     />

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/im_logo"
                    android:layout_marginLeft="35.0dp"
                    android:layout_marginTop="10.0dp">

                    <TextView
                        android:id="@+id/tv_loading_buffer"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="35.0dp"
                        android:layout_marginTop="13.0dp"
 
                        android:text="直播视频连接中..."
                        android:textColor="#ffffff"
                        android:textSize="14sp"
                        />
                </RelativeLayout>
            </RelativeLayout>
        </RelativeLayout>
    </FrameLayout>
    <!--中部控制 亮度 声音-->
    <RelativeLayout
        android:id="@+id/control_center"
        android:layout_width="110.0dp"
        android:layout_height="110.0dp"
        android:layout_gravity="center"

        android:paddingBottom="8dp"
        android:paddingLeft="16dp"
        android:paddingRight="16dp"
        android:paddingTop="8dp"
        android:visibility="gone">

        <ImageView
            android:id="@+id/iv_control_img"
            android:layout_width="40.0dp"
            android:layout_height="40.0dp"
            android:layout_centerInParent="true"
             />

        <TextView
            android:id="@+id/tv_control_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@id/iv_control_img"
            android:layout_centerInParent="true"
            android:layout_marginBottom="7.0dp"
            android:textColor="#ffffff"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/tv_control"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/iv_control_img"
            android:layout_centerInParent="true"
            android:layout_marginTop="5dp"
            android:maxLines="1"
            android:text="12%"
            android:textColor="@android:color/white"
            android:textSize="12sp" />
    </RelativeLayout>
    </FrameLayout>
</RelativeLayout>
